Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotifyChannelAdmin::StructuredProxyPushSupplier Interface Reference

Defines the interface provided for push-style consumers using the 'structured' event format. More...

`import "CosNotifyChannelAdmin.idl";`

Inheritance diagram for CosNotifyChannelAdmin::StructuredProxyPushSupplier:

[legend]
Collaboration diagram for CosNotifyChannelAdmin::StructuredProxyPushSupplier:

[legend]
List of all members.

## Public Methods
void | connect_structured_push_consumer (in CosNotifyComm::StructuredPushConsumer push_consumer) raises (CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )
| Connect a consumer to the proxy.
void | suspend_connection () raises (ConnectionAlreadyInactive, NotConnected)
void | resume_connection () raises (ConnectionAlreadyActive, NotConnected)

## Detailed Description

Defines the interface provided for push-style consumers using the 'structured' event format.

## Member Function Documentation

void CosNotifyChannelAdmin::StructuredProxyPushSupplier::connect_structured_push_consumer | ( | in CosNotifyComm::StructuredPushConsumer | push_consumer | ) | raises (CosEventChannelAdmin::AlreadyConnected, CosEventChannelAdmin::TypeError )

  | Connect a consumer to the proxy. The event channel will not push events to the consumer until this operation is invoked. Parameters:
  push_consumer | the callback object used to push events to the application and inform if the event channel is destroyed
  Exceptions:
  CORBA::BAD_PARAM | if the push_consumer argument is nil
  CosEventChannelAdmin::AlreadyConnected | if the proxy is already connected, i.e. if this operation is invoked more than one time.

void CosNotifyChannelAdmin::StructuredProxyPushSupplier::resume_connection | ( |  | ) | raises (ConnectionAlreadyActive, NotConnected)

  | Exceptions:
  ConnectionAlreadyActive | if the method is invoked while the connection is active
  NotConnected | if the method is invoked before the supplier connects

void CosNotifyChannelAdmin::StructuredProxyPushSupplier::suspend_connection | ( |  | ) | raises (ConnectionAlreadyInactive, NotConnected)

  | Exceptions:
  ConnectionAlreadyInactive | if the method is invoked while the connection is suspended
  NotConnected | if the method is invoked before the supplier connects

The documentation for this interface was generated from the following file:

- CosNotifyChannelAdmin.idl